From Fedora Project Wiki
Line 64: Line 64:
 
|-
 
|-
 
| github.com/gosimple/slug || || {{ important }}
 
| github.com/gosimple/slug || || {{ important }}
|}
+
|-
<pre>
+
| github.com/hashicorp/go-version
github.com/hashicorp/go-version
+
|-
github.com/jmespath/go-jmespath  Version0.2.2
+
| github.com/jmespath/go-jmespath  Version0.2.2
github.com/jtolds/gls
+
|-
github.com/klauspost/compress/flate
+
| github.com/jtolds/gls
github.com/klauspost/compress/gzip
+
|-
github.com/klauspost/cpuid
+
| github.com/klauspost/compress/flate
github.com/klauspost/crc32
+
|-
github.com/kr/pretty  Versiongo.weekly.2011-12-22-27-ge6ac2fc
+
| github.com/klauspost/compress/gzip
github.com/kr/text
+
|-
github.com/lib/pq  Versiongo1.0-cutoff-13-g19eeca3
+
| github.com/klauspost/cpuid
github.com/lib/pq/oid  Versiongo1.0-cutoff-13-g19eeca3
+
|-
github.com/mattn/go-colorable
+
| github.com/klauspost/crc32
github.com/mattn/go-isatty
+
|-
github.com/mattn/go-sqlite3
+
| github.com/kr/pretty  Versiongo.weekly.2011-12-22-27-ge6ac2fc
github.com/rainycape/unidecode
+
|-
 +
| github.com/kr/text
 +
|-
 +
| github.com/lib/pq  Versiongo1.0-cutoff-13-g19eeca3
 +
|-
 +
| github.com/lib/pq/oid  Versiongo1.0-cutoff-13-g19eeca3
 +
|-
 +
| github.com/mattn/go-colorable
 +
|-
 +
| github.com/mattn/go-isatty
 +
|-
 +
| github.com/mattn/go-sqlite3
 +
|-
 +
|github.com/rainycape/unidecode
 
|-
 
|-
 
| github.com/smartystreets/goconvey/convey || Version1.5.0-356-gfbc0a1c || {{ check }}
 
| github.com/smartystreets/goconvey/convey || Version1.5.0-356-gfbc0a1c || {{ check }}
 
|-
 
|-
github.com/smartystreets/goconvey/convey/assertions Version1.5.0-356-gfbc0a1c
+
| github.com/smartystreets/goconvey/convey/assertions || Version1.5.0-356-gfbc0a1c ||
github.com/smartystreets/goconvey/convey/assertions/oglematchers Version1.5.0-356-gfbc0a1c
+
|-
github.com/smartystreets/goconvey/convey/gotest Version1.5.0-356-gfbc0a1c
+
| github.com/smartystreets/goconvey/convey/assertions/oglematchers || Version1.5.0-356-gfbc0a1c
github.com/smartystreets/goconvey/convey/reporting  Version1.5.0-356-gfbc0a1c
+
|-
github.com/streadway/amqp
+
| github.com/smartystreets/goconvey/convey/gotest || Version1.5.0-356-gfbc0a1c ||
golang.org/x/net/context
+
|-
golang.org/x/oauth2
+
| github.com/smartystreets/goconvey/convey/reporting  || Version1.5.0-356-gfbc0a1c ||
 +
|-
 +
| github.com/streadway/amqp
 +
|-
 +
| golang.org/x/net/context || ||
 +
|-
 +
| golang.org/x/oauth2 || ||
 
|-  
 
|-  
 
| golang.org/x/sys/unix || ||
 
| golang.org/x/sys/unix || ||
Line 96: Line 115:
 
| gopkg.in/asn1-ber.v1 || Versionv1 || {{ check }}
 
| gopkg.in/asn1-ber.v1 || Versionv1 || {{ check }}
 
|-
 
|-
gopkg.in/bufio.v1  Versionv1
+
| gopkg.in/bufio.v1  Versionv1
gopkg.in/ini.v1  Versionv0-16-g1772191
+
|-
gopkg.in/macaron || v1 || {{ important }}
+
| gopkg.in/ini.v1  Versionv0-16-g1772191
gopkg.in/redis.v2  Versionv2.3.2
+
|-
 
+
| gopkg.in/macaron || v1 || {{ important }}
 
+
|-
</pre>
+
| gopkg.in/redis.v2  Versionv2.3.2
 +
|-
 +
|}
  
 
== building frontend ==
 
== building frontend ==

Revision as of 12:30, 6 April 2016

Grafana packaging (version 2.6)

source: https://github.com/grafana/grafana

build requirements:

  • go 1.5 (packaged)
  • NodeJS (packaged)
  • grunt (packaged)
  • godeps (not packaged)

Major issue is, build tries to pull down everything from the net, which is not desired on koji.

Building backend


Path Version included or rhbz#
github.com/BurntSushi/toml Versionv0.1.0-21-g056c9bc Checkmark.png
github.com/Unknwon/com v1 Important.png
github.com/aws/aws-sdk-go/aws Versionv1.0.0 Checkmark.png
github.com/bmizerany/assert Versionrelease.r60-6-ge17e998 Checkmark.png
github.com/bradfitz/gomemcache/memcache Versionrelease.r60-40-g72a6864 Important.png
github.com/codegangsta/cli Version1.2.0-187-gc31a797 Checkmark.png
github.com/davecgh/go-spew/spew Checkmark.png
github.com/fatih/color Versionv0.1-16-g4f7bcef Checkmark.png
github.com/franela/goreq Important.png
github.com/go-ini/ini Versionv0-48-g060d7da
github.com/go-ldap/ldap Versionv2.2.1
github.com/go-macaron/binding
github.com/go-macaron/gzip
github.com/go-macaron/inject
github.com/go-macaron/session
github.com/go-macaron/session/memcache
github.com/go-macaron/session/mysql
github.com/go-macaron/session/postgres
github.com/go-macaron/session/redis
github.com/go-sql-driver/mysql Versionv1.2-171-g267b128
github.com/go-xorm/core Versionv0.4.4-7-g9e608f7 Important.png
github.com/go-xorm/xorm Versionv0.4.4-44-gf561133 Important.png
github.com/gorilla/websocket Checkmark.png
github.com/gosimple/slug Important.png
github.com/hashicorp/go-version
github.com/jmespath/go-jmespath Version0.2.2
github.com/jtolds/gls
github.com/klauspost/compress/flate
github.com/klauspost/compress/gzip
github.com/klauspost/cpuid
github.com/klauspost/crc32
github.com/kr/pretty Versiongo.weekly.2011-12-22-27-ge6ac2fc
github.com/kr/text
github.com/lib/pq Versiongo1.0-cutoff-13-g19eeca3
github.com/lib/pq/oid Versiongo1.0-cutoff-13-g19eeca3
github.com/mattn/go-colorable
github.com/mattn/go-isatty
github.com/mattn/go-sqlite3
github.com/rainycape/unidecode
github.com/smartystreets/goconvey/convey Version1.5.0-356-gfbc0a1c Checkmark.png
github.com/smartystreets/goconvey/convey/assertions Version1.5.0-356-gfbc0a1c
github.com/smartystreets/goconvey/convey/assertions/oglematchers Version1.5.0-356-gfbc0a1c
github.com/smartystreets/goconvey/convey/gotest Version1.5.0-356-gfbc0a1c
github.com/smartystreets/goconvey/convey/reporting Version1.5.0-356-gfbc0a1c
github.com/streadway/amqp
golang.org/x/net/context
golang.org/x/oauth2
golang.org/x/sys/unix
gopkg.in/asn1-ber.v1 Versionv1 Checkmark.png
gopkg.in/bufio.v1 Versionv1
gopkg.in/ini.v1 Versionv0-16-g1772191
gopkg.in/macaron v1 Important.png
gopkg.in/redis.v2 Versionv2.3.2

building frontend

deps

  • jquery 2.1.4
  • angular 1.5.3
  • angular-route 1.5.3
  • angular-mocks 1.5.3
  • angular-sanitize 1.5.3
  • angular-bindonce 0.3.3
  • phantomjs (vendored)
  • grunt-cli
  • grunt-jscs 1.5.x
  • grunt-sass-lint 0.1.0
  • grunt-sync 0.4.1
  • karma-sinon 1.0.3
  • lodash 2.4.1
  • remarkable 1.6.2
  • sinon 1.16.1
  • systemjs-builder 0.15.13
  • tether 1.2.0
  • tether-drop 1.4.2
  • tslint 3.4.0
  • typescript 1.7.5